Setup

Welcome to ScanAPI’s tutorial! This tutorial will guide you on how to test and document an API using ScanAPI.

Installation

ScanAPI is a Python library. For installing ScanAPI, you will need:

  • - python version 3.6 or higher
  • - pip, the standard package manager for Python

If you are new to the Python world, no worries, this Installation & Setup Guide can help you with more detailed instructions.

With Python and pip installed, install ScanAPI from the terminal:

$ pip install scanapi

Check that ScanAPI is installed properly:

$ scanapi --version
scanapi, version 2.3.0

The output should return a version equal to 2.3.0 or higher.